import Vue from 'vue'
import VueRouter from 'vue-router'

Vue.use(VueRouter)

const routes = [{
  path: '/:id',
  name: 'index',
  meta: {
    title: '大屏端'
  },
  component: () => import('../views/AppIndex.vue')
}]

const router = new VueRouter({
  routes
})
router.beforeEach((to, from, next) => {
  if (to.meta.title) {
    document.title = document.title = to.meta.title + ' - 大势医院输送保障管理平台'
  }
  next()
})

export default router
